Page MenuHomePhabricator

Revert increased quota for wikidataconcepts Cloud VPS project
Closed, ResolvedPublic

Description

Project Name: wikidataconcepts

Temporary increase of resources in order to provision another m1.xlarge instance.
We are currently puppetizing everything that is currently on the "wikidataconcepts" host and would like to create a second host untouched by human hands with the puppet roles enabled before doing the switch once the puppet roles are complete and finally deleting the original instance.

This will require +8CPUs, +16GB RAM

Once the switch is complete we could reduce the resource limits again.

Event Timeline

Addshore created this task.Oct 30 2017, 4:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2017, 4:25 PM
Addshore moved this task from Unsorted 💣 to Watching 👀 on the User-Addshore board.
bd808 changed the task status from Open to Stalled.Oct 31 2017, 9:35 PM
bd808 triaged this task as Medium priority.
bd808 added a subscriber: bd808.

@Addshore you're additional quota has been granted. Please ping us when you are done with the migration so we remember to clean up.

$ nova quota-show --tenant wikidataconcepts
+-----------------------------+-------+
| Quota                       | Limit |
+-----------------------------+-------+
| instances                   | 8     |
| cores                       | 8     |
| ram                         | 16384 |
| floating_ips                | 0     |
| fixed_ips                   | 200   |
| metadata_items              | 128   |
| injected_files              | 5     |
| injected_file_content_bytes | 10240 |
| injected_file_path_bytes    | 255   |
| key_pairs                   | 100   |
| security_groups             | 10    |
| security_group_rules        | 20    |
| server_groups               | 10    |
| server_group_members        | 10    |
+-----------------------------+-------+
$ nova quota-update --cores 16 --ram 32768 wikidataconcepts
$ nova quota-show --tenant wikidataconcepts
+-----------------------------+-------+
| Quota                       | Limit |
+-----------------------------+-------+
| instances                   | 8     |
| cores                       | 16    |
| ram                         | 32768 |
| floating_ips                | 0     |
| fixed_ips                   | 200   |
| metadata_items              | 128   |
| injected_files              | 5     |
| injected_file_content_bytes | 10240 |
| injected_file_path_bytes    | 255   |
| key_pairs                   | 100   |
| security_groups             | 10    |
| security_group_rules        | 20    |
| server_groups               | 10    |
| server_group_members        | 10    |
+-----------------------------+-------+
bd808 renamed this task from Request increased quota for wikidataconcepts Cloud VPS project to Revert increased quota for wikidataconcepts Cloud VPS project.Nov 3 2017, 3:25 PM
bd808 added a comment.Nov 28 2017, 4:16 PM

@Addshore Have you found time to do your migration yet?

@Addshore Have you found time to do your migration yet?

Not yet :(

@Addshore gentle ping on this

@bd808 sorry for this taking so long.

Could we revert the increased quota now? and create a new project (with the same quota) called wmde-dashboards per T180571#3914216
We are then kill this wdcm project once the dashboards project is puppetized

@Addshore @bd808 Just don't accidentally kill the wikidataconcepts project, please. It hosts the WDCM system http://wdcm.wmflabs.org/. Thanks.

bd808 changed the task status from Stalled to Open.Jan 21 2018, 8:03 PM

@bd808 sorry for this taking so long.

Could we revert the increased quota now?

Yes, I'll get it into the work queue. :)

and create a new project (with the same quota) called wmde-dashboards per T180571#3914216

Please create a project creation ticket. Make sure to specify an non-standard quota that your new project will need.

We are then kill this wdcm project once the dashboards project is puppetized

Can you also create a stalled task in Cloud-VPS (Project-requests) that depends on the new project ticket you create to track doing that? That will help all of us remember to check back periodically on how the work is going.

Project request at T185429

@GoranSMilovanovic I can't actually find the ticket for finishing the puppetization of the dashboards, do you have a link?

Okay! I was not sure if that was just referring to the dashboards / shiny side of things.

@Addshore It does not. It refers to the WDCM puppetization on both the production machines and labs.

chasemp closed this task as Resolved.Jan 29 2018, 7:22 PM
chasemp claimed this task.

@Addshore you're additional quota has been granted. Please ping us when you are done with the migration so we remember to clean up.

$ nova quota-show --tenant wikidataconcepts
+-----------------------------+-------+
| Quota                       | Limit |
+-----------------------------+-------+
| instances                   | 8     |
| cores                       | 8     |
| ram                         | 16384 |
| floating_ips                | 0     |
| fixed_ips                   | 200   |
| metadata_items              | 128   |
| injected_files              | 5     |
| injected_file_content_bytes | 10240 |
| injected_file_path_bytes    | 255   |
| key_pairs                   | 100   |
| security_groups             | 10    |
| security_group_rules        | 20    |
| server_groups               | 10    |
| server_group_members        | 10    |
+-----------------------------+-------+
$ nova quota-update --cores 16 --ram 32768 wikidataconcepts
$ nova quota-show --tenant wikidataconcepts
+-----------------------------+-------+
| Quota                       | Limit |
+-----------------------------+-------+
| instances                   | 8     |
| cores                       | 16    |
| ram                         | 32768 |
| floating_ips                | 0     |
| fixed_ips                   | 200   |
| metadata_items              | 128   |
| injected_files              | 5     |
| injected_file_content_bytes | 10240 |
| injected_file_path_bytes    | 255   |
| key_pairs                   | 100   |
| security_groups             | 10    |
| security_group_rules        | 20    |
| server_groups               | 10    |
| server_group_members        | 10    |
+-----------------------------+-------+

reverted